
body {
    font-family: sans-serif;
    background: #4433dd;
    overflow: hidden;
    user-select: none;
    margin: 0;
}

main {
    position: relative;
    width: 100vw;
    height: calc(100vh - 70px);
}

header {
    position: relative;
    width: 100vw;
    height: 70px;
    background: #201391;
}

header > section {
    position: absolute;
    display: flex;
    width: fit-content;
    height: 100%;
    margin: 0 15px;
}

header #score-container {
    top: 0;
    left: 0;
}

header #flag-container {
    top: 0;
    right: 0;
}

header > section > div {
    display: flex;
    align-items: center;
    justify-content: center;
}

header > section img {
    width: 35px;
}

header > section span {
    color: white;
    font-family: sans-serif;
    font-size: 20px;
    margin: 0 10px;
}

#table-container {
    display: grid;
    height: 90%;
    aspect-ratio: 18/11;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    background: #86cf86;
    grid-template-rows: repeat(11, 1fr);
}

.row {
    display: grid;
    grid-template-columns: repeat(18, 1fr);
}

.row > div {
    display: grid;
    position: relative;
    cursor: pointer;
}

.content {
    display: flex;
    justify-content: center;
    align-items: center;
    /* font-size: min(1.5rem, 36px); */
    /* font-size: 1.5rem; */
    font-size: 1.5em;
    /* font-size: 36px; */
    font-weight: 700;
    visibility: hidden;
    user-select: none;
}

.row :first-child .pop-up-container {
    left: 0;
}

.row :first-child .pop-up-container > div {
    flex-flow: row-reverse;
}

.row > div > img {
    position: absolute;
    width: 60%;
    height: 60%;
    visibility: hidden;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}


#table-container .row:nth-child(odd) > div:nth-child(odd) {
    background: #9ee29e;
}

#table-container .row:nth-child(even) > div:nth-child(even) {
    background: #9ee29e;
}

#table-container > :first-child .pop-up-container > :first-child {
    transform: translateY(200%);
}

.pop-up-container {
    position: absolute;
    top: -100%;
    left: -100%;
    width: 200%;
    height: 200%;
    visibility: hidden;
    z-index: 10;
    cursor: context-menu;
}

.pop-up-container > div {
    display: flex;
    width: 100%;
    height: 50%;
}

.pop-up-container > div > div {
    display: flex;
    height: 70%;
    aspect-ratio: 1/1;
    margin: auto;
    border-radius: 50%;
    background: #399515;
    justify-content: center;
    align-items: center;
    cursor: pointer;
}

.pop-up-container > div:last-child > div:last-child {
    visibility: hidden;
}

.pop-up-container > div > div img {
    height: 60%;
    aspect-ratio: 1/1;
}

.reveal .content {
    visibility: visible;
    background: #d4d2cf;
    cursor: context-menu;
}

.content img {
    width: 60%;
    height: 60%;
}

#modal-container {
    position: fixed;
    top: 0;
    left: 0;
    width: 100vw;
    height: 100vh;
    background: rgba(0, 0, 0, .2);
    opacity: 0;
    visibility: hidden;
    transition: linear .5s;
}

#modal {
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 500px;
    /* height: 500px; */
    background: white;
    border-radius: 20px;
    padding: 40px;
}

#modal > div {
    display: flex;
}

#modal :first-child {
    justify-content: space-between;
}


#modal > div > div > div {
    display: flex;
    align-items: center;
    justify-content: center;
}

#modal > div img {
    width: 85px;
}

#modal > div span {
    color: gray;
    font-family: sans-serif;
    font-size: 50px;
    margin: 0 30px;
}

#modal button {
    width: 100%;
    height: 60px;
    border: lightgray;
    border-radius: 20px;
    background: #27911A;
    color: white;
    font-size: 26px;
    cursor: pointer;
    margin-top: 50px;
}

@keyframes btnAnim {
    0% {opacity: 1}
    /* 10% {opacity: .95;}
    50% {opacity: .9;} */
    70% {opacity: .9;}
    100% {opacity: 1}
}

#modal button:hover {
    animation: 1.5s btnAnim infinite;
}


